<?php 

/*
------------------------------------------
Функция управления вызовом файлов из папок
------------------------------------------
*/
  
CLASS DIRECT{
  
  /*
  -------------------------
  Фильтрация внешних данных
  -------------------------
  */
  
  PUBLIC STATIC FUNCTION F_GET($get_name) {
    
    //Фильтруем входные данные из гет параметра
    $filter = FILTER_INPUT(INPUT_GET, $get_name, FILTER_SANITIZE_ENCODED);
    
    //Вырезаем мусорные спецсимволы, возвращаемые FILTER_SANITIZE_ENCODED
    $get = CLEARSPECIALCHARS($filter);
    
    IF (STR($get) > 0){
      
      $get_data = $get;
      
    }ELSE{
      
      $get_data = 'no_data';
      
    }
    
    RETURN $get_data;
    
  }
  
  /*
  -------------------------------------------
  Проверка на существование вызываемого файла
  -------------------------------------------
  */
  
  PUBLIC STATIC FUNCTION E_FILE($path) {
    
    IF (IS_FILE($path)){
      
      RETURN TRUE;
      
    }ELSE{
      
      RETURN FALSE;
      
    }
    
  }
  
  /*
  -----------------------------------
  Функция вывода компонентов из папки
  -----------------------------------
  */
  
  PUBLIC STATIC FUNCTION COMPONENTS($path, $count = 1) {
    
    GLOBAL $account, $user, $settings, $account_set, $notif_set, $mail_set, $device_type, $version;
    
    $result = SCANDIR($path, SCANDIR_SORT_ASCENDING);
    
    $s = 0;
    
    FOR ($i = 0; $i < COUNT($result); $i++){
      
      IF (PREG_MATCH('#\.php$#i',$result[$i])){
        
        $s++;
        
        REQUIRE ($path.$result[$i]);
      
      }
    
    }
    
    IF ($s == 0 && $count == 1){
      
      ECHO "<div class='list-menu'>";
      ECHO LG('Пока пусто');
      ECHO "</div>";
    
    }
    
  }
  
}

?>